Subject: Re: [rfc-i] [IAB] New proposal/New SOW comment period
From: Brian E Carpenter <[email-masked]>
To: Stephen Farrell <[email-masked]>, John C Klensin <[email-masked]>, Christian Huitema <[email-masked]>
Cc: [email-masked], [email-masked], IETF <[email-masked]>
Date: Fri, 4 Oct 2019 09:24:35 +1300
List-Id: IETF-Discussion <ietf.ietf.org>

Hi Stephen,
On 04-Oct-19 09:13, Stephen Farrell wrote:
> 
> Hi John,
> 
> A question and a comment below.
> 
> On 03/10/2019 20:28, John C Klensin wrote:
>> Christian,
>>
>> I just noticed that I had never responded to your note below.
>> It deserves an answer, particularly because I think you have
>> identified a key reason why various of us keep talking past each
>> other.
>>
>> Briefly and I hope correctly interpreting your comments, many of
>> us believe the RFC Series is an Internet Community resource and
>> publication series and that, when ISOC and the IETF took on
>> responsibility for it in several stages from the early 1990s
>> through 2007, it was doing so as, to use Jon Postel's language
>> form quite a different document, a trustee for that larger
>> community.  
> 
> On the "larger community" (than IETF/IRTF) aspect, do we have
> any definition of how that community might be characterised?
> 
> Personally, I can easily see including RFC readers in that,
> (otherwise why'd we bother make 'em?) but beyond that, I don't
> know what else may be meant. Can you (or someone) clarify?

Not in a few words, but may I point to
https://tools.ietf.org/html/draft-carpenter-request-for-comments ?
The most relevant text is:

   The reasonable conclusion from the above is that none of the I*
   organisations (IETF Trust, IETF LLC, IETF, IESG, IAB or ISOC) can
   claim exclusivity of ownership or control over the RFC series.  It is
   community property and must operate on behalf of the community as a
   whole.

   A first important consequence is that major decisions about the
   future of the RFC Series must be taken by a consensus of a very broad
   community.  That doesn't mean the IETF or the IAB.  It means the IETF
   and IAB, plus the IRTF, plus many other people who have contributed
   to, or made use of, the RFC Series over the last fifty years.  How to
   reach out to this community is in itself a big question.

   A second important consequence is that the position of RFC Series
   Editor answers to the community as a whole, not narrowly to the IAB.
   In particular the RFC Series Editor has considerable independence (in
   addition to the obvious independence of the Independent Series
   Editor).
 
>> It is obviously reasonable to question that role and
>> its ongoing appropriateness and to assert that, e.g., the IESG
>> should have control over what is published.  I can certainly
>> remember discussions of that issue in 1994.  We had them again
>> leading up to the publication of RFCs 4844 through 4846 in 2007,
>> and several times in between and subsequently.  I think it is
>> safe to say that the community has never been in complete
>> agreement since the RFC Editor Function was separately and
>> directly funded by the US Government and probably not even
>> before then.  I do not, however, see that discussion as "some
>> people believe one thing and others believe something else" or
>> "whether the RSOC (and, to some extent, the IAB) agrees with my
>> understanding of the role and function of the RFC Series".  From
>> my point of view, the community was asked that question as part
>> of the "RFC++" discussion of somewhat over a year ago and there
>> was a fairly clear answer of "not just about the IETF" (both in
>> terms of the series and what things were called).  If we
>> disagree about that conclusion, then we have another problem.
>> But, even if you (and others) believe the outcome of the July
>> 2018 discussions was unclear with regard to the function of the
>> RFC Series, I think we end up with two issues:
>>
>> (1) Where the RFC Editor Function is concerned, are the RSOC and
>> IAB responsible for fairly interpreting community consensus
>> (even if only EITF community consensus) and following it, or can
>> they reasonably go off in other directions without any
>> accountability to the community?
>>
>> (2) Given that the RFC++ effort was an attempt to redefine the
>> RFC Editor Function at least with regard to how documents are
>> named and that it clearly did not get [even] IETF community
>> consensus, is it reasonable to use Heather's decision to step
>> down at the end of the year (whether that decision came as a
>> surprise or was deliberately or accidentally induced) as an
>> excuse or mechanism for opening the question of the role of the
>> RFC Editor Function again in such a short time?   And, if it is,
>> should that question be posed in a balanced way and asked openly
>> and specifically rather than partially hidden in the plans for
>> replacing Heather (whether temporarily or permanent, etc.).
>>
>> FWIW, there are many other questions about the RFC Editor
>> Function and the RFC Series about which assumptions have been
>> made for many years but that sensible people can argue are
>> obsolete.  One that has been raised repeatedly (and that the
>> RFC++ effort certainly touched on) was whether Independent
>> Submissions are still necessary and appropriate given all of the
>> other ways by which information that comes out of the IETF can
>> be published.   Another is whether the whole idea of archival
>> documents is necessary any more.  Recent threads on the
>> rfc-interest list lead me to believe that there are several
>> members of the community who believe the answer to the latter
>> question is "no" or perhaps that the IETF model for
>> authoritative clarifications to standards-track documents is in
>> need of reopening and reconsideration.
> 
> Again, speaking personally, I do see two rough positions that
> people in the IETF seem to have, and ISTM that divergence is
> also reflected in the subset of us currently in IETF leadership
> positions. One position might roughly revolve around ideas
> that we ought cherish the independence of the RSE and the
> longevity of the series, another might be said to revolve around
> ways that we should change the series to better reflect
> today's reality. 

I'd rather say "change the IETF standards process to better reflect
today's reality, including how that process interacts with the RFC
series." IMHO it would be a serious mistake to try to fix the IETF's
process only by fiddling with the RFC series.

> (I don't mean that to be in any way a precise
> characterisation and once one tried to be precise there
> would of course be more than two different positions.) My
> take is that both positions seem sincerely held and each has
> some merit. (Though I admit I'd be more inclined to cherishing
> than changing, as my own starting point.)
> 
> In any case, I do think we ought have a community discussion
> now about that, given that Heather is (regretfully) moving on
> and given the changes to 6635 that seem obvious (to me at
> least) now we have the LLC setup.

Indeed. 

   Brian

> 
> Cheers,
> S.
> 
>>
>> best,
>>    john
>>
>>
>>
>>
>> --On Friday, September 13, 2019 11:00 -0700 Christian Huitema
>> <[email-masked]> wrote:
>>
>>> On 9/13/2019 7:44 AM, John C Klensin wrote:
>>>
>>>> The difficulty, which several people tried to get a
>>>> focus on (before IETF 105, at the plenary, and thereafter),
>>>> was the question of whether the RSOC (and, to some extent,
>>>> the IAB) understood (generally and consistent with community
>>>> understanding) the role and function of the RFC Series, the
>>>> relationship of the RSE to that function, the appropriate
>>>> interpretation of "oversight", some important management and
>>>> procurement differences between hiring and management of
>>>> high-level professional and, procurement of
>>>> easily-substitutable commodity items.
>>>
>>> John,
>>>
>>> The way you phrase it, there is an eminent understanding of
>>> the role and function of the RFC series and the RSE that
>>> everybody should agree on, and you suspect the IAB does not.
>>> That why you use the word "understood" in the quoted text. I
>>> think that vocabulary presumes the outcome of the ongoing
>>> discussion. For example, you and several others including Mike
>>> and Brian hold it as obvious that "the RFC series is bigger
>>> than the IETF". That was certainly true in 1981, but I am sure
>>> there are people who don't believe that in 2019 -- and those
>>> people are indeed part of "the community".
>>>
>>> You may believe that you have a superior understanding, but
>>> the correct phrasing would be "the question of whether the
>>> RSOC (and, to some extent, the IAB) agrees with my
>>> understanding of the role and function of the RFC Series".
>>
>>
>>
>>
>>
>> _______________________________________________
>> rfc-interest mailing list
>> [email-masked]
>> https://www.rfc-editor.org/mailman/listinfo/rfc-interest